Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapter.java	(revision 1026)
@@ -31,7 +31,7 @@
 
 	@Override
 	public Object[] getChildren(Object result) {
-		return ((TXMResult) result).getChildren(!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE)).toArray();
+		return ((TXMResult) result).getChildren(!TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES)).toArray();
 	}
 
 	@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java	(revision 1026)
@@ -13,7 +13,7 @@
 	public boolean test(Object receiver, String property, Object[] args,
 			Object expectedValue) {
 
-		boolean expert = TXMPreferences.getBoolean(TBXPreferences.EXPERT_USER, TBXPreferences.PREFERENCES_NODE);
+		boolean expert = TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER);
 		//System.out.println("IS expert enabled: "+expert);
 		return expert;
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java	(revision 1025)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java	(revision 1026)
@@ -161,7 +161,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(CAPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(CAPreferences.getInstance().getPreferencesNodeQualifier()));
 		//this.setDescription(Messages.CorrespondanceAnalysisEditorInput_10);
 		//this.setTitle(CAUIMessages.CorrespondanceAnalysisEditorInput_10);
 		this.setImageDescriptor(CAAdapterFactory.ICON);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java	(revision 1025)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java	(revision 1026)
@@ -79,32 +79,32 @@
 		this.names = names;
 		for (int i = 0; i < names.length; i++) {
 			if (names[i].startsWith(CACoreMessages.common_mass)) {
-				String pattern = TXMPreferences.getString(CAPreferences.MASS_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.MASS_DISPLAY_FORMAT);
 			if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					masspattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith(CAUIMessages.ColRowInfosLabelProvider_9)) {
-				String pattern = TXMPreferences.getString(CAPreferences.CHI_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.CHI_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					chipattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith(CACoreMessages.common_dist)) {
-				String pattern = TXMPreferences.getString(CAPreferences.DIST_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.DIST_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					distpattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith(CACoreMessages.common_cos2)) {
-				String pattern = TXMPreferences.getString(CAPreferences.COS2_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.COS2_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					cos2pattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith("c") && names[i].length() == 2) //$NON-NLS-1$
 			{
-				String pattern = TXMPreferences.getString(CAPreferences.COORD_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.COORD_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					coordpattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith(CACoreMessages.common_cont)) {
-				String pattern = TXMPreferences.getString(CAPreferences.CONTRIB_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.CONTRIB_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					contribpattern = new DecimalFormat(pattern);
 			} else if (names[i].startsWith(CAUIMessages.ColRowInfosLabelProvider_19) && names[i].length() == 3) {
-				String pattern = TXMPreferences.getString(CAPreferences.QUALITY_DISPLAY_FORMAT, CAPreferences.PREFERENCES_NODE);
+				String pattern = CAPreferences.getInstance().getString(CAPreferences.QUALITY_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					qualitypattern = new DecimalFormat(pattern);
 			}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 1025)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 1026)
@@ -91,10 +91,10 @@
 	String mess;
 	
 	/** The max, default value read from CA preferences. */
-	private int vmax = TXMPreferences.getInt(CAPreferences.V_MAX, CAPreferences.PREFERENCES_NODE);
+	private int vmax = CAPreferences.getInstance().getInt(CAPreferences.V_MAX);
 	
 	/** The fmin, default value read from CA preferences. */
-	private int fmin = TXMPreferences.getInt(CAPreferences.F_MIN, CAPreferences.PREFERENCES_NODE);
+	private int fmin = CAPreferences.getInstance().getInt(CAPreferences.F_MIN);
 
 	/**
 	 * Instantiates a new compute correspondence analysis dialog.
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1025)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1026)
@@ -22,6 +22,7 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.function.tigersearch.TIGERSearch;
@@ -353,7 +354,7 @@
 		setSite(site);
 		setInput(input);
 		
-		File resultDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results"); //$NON-NLS-1$
+		File resultDir = new File(Toolbox.getTxmHomePath(), "results"); //$NON-NLS-1$
 		resultDir.mkdirs();
 		try {
 			svgFile = File.createTempFile("TIGERSearch", ".svg", resultDir);
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java	(revision 1025)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpI.java	(revision 1026)
@@ -45,6 +45,7 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.functions.cql2lsa.ExpI;
@@ -136,7 +137,7 @@
 					//					qiot.addLine("eux", new Query("[word=\"eux\"]"));
 					// "je|tu|il|elle|on|nous|vous|ils|elles|celui|celle|ceux|celles|eux"
 
-					File resultDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "results");
+					File resultDir = new File(Toolbox.getTxmHomePath(), "results");
 					
 					writingLDAFiles(resultDir, qiot, monitor);
 				} catch (Exception e) {
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/DictionaryFactory.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/DictionaryFactory.java	(revision 1025)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/jpa/DictionaryFactory.java	(revision 1026)
@@ -37,7 +37,7 @@
 	public Dictionary getDictionary(String name) {
 		if (this.containsKey(name)) return this.get(name);
 		
-		File dictionariesDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "dictionaries");
+		File dictionariesDirectory = new File(Toolbox.getTxmHomePath(), "dictionaries");
 		dictionariesDirectory.mkdirs(); // just in case
 		
 		if (this.containsKey(name)) return this.get(name);
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java	(revision 1025)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/DictionaryManager.java	(revision 1026)
@@ -21,7 +21,7 @@
 	
 	public static DictionaryManager getInstance() throws Exception {
 		if (dm != null) return dm;
-		File dir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "dictionaries");
+		File dir = new File(Toolbox.getTxmHomePath(), "dictionaries");
 		System.out.println("Dictionaries db path: "+dir.getAbsolutePath());
 		dir.mkdirs();
 		dm = new DictionaryManager(dir);
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 1025)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 1026)
@@ -42,7 +42,7 @@
 		}
 		System.out.println("Post-installing Dictionary version="+currentVersion);
 		
-		File macroDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "scripts/macro/org/txm/macro");
+		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro");
 		if (!BundleUtils.copyFiles("Dictionary", "src", "org/txm/macro/", "frolex", macroDirectory)) {
 			System.out.println("Error while coping Dictionary org/txm/macro/frolex in "+macroDirectory.getAbsolutePath());
 			return;
Index: tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1026)
@@ -7,6 +7,7 @@
 import org.osgi.framework.Bundle;
 import org.osgi.framework.Version;
 import org.osgi.framework.wiring.BundleWiring;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.utils.io.FileCopy;
@@ -175,7 +176,7 @@
 			path = System.getProperty("eclipse.home.location");
 		}
 		if (path == null) {
-			path = TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
+			path = Toolbox.getPreference(TBXPreferences.INSTALL_DIR);
 		}
 		return path;
 	}
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1026)
@@ -140,7 +140,7 @@
 	 * @return
 	 */
 	public static String getPreference(String key) {
-		return TXMPreferences.getString(key, TBXPreferences.PREFERENCES_NODE);
+		return TBXPreferences.getInstance().getString(key);
 	}
 
 	/**
@@ -149,7 +149,7 @@
 	 * @param value
 	 */
 	public static void setPreference(String key, Object value) {
-		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, key, value);
+		TBXPreferences.getInstance().put(key, value);
 	}
 
 	
@@ -231,13 +231,13 @@
 
 			Log.warning("Initializing logger...");
 			Log.setLevel(Level.parse(getPreference(TBXPreferences.LOG_LEVEL)));
-			Log.setPrintInConsole(TXMPreferences.getBoolean(TBXPreferences.ADD_TECH_LOGS, TBXPreferences.PREFERENCES_NODE));
+			Log.setPrintInConsole(TBXPreferences.getInstance().getBoolean(TBXPreferences.ADD_TECH_LOGS));
 
 			if (!getPreference(TBXPreferences.LOG_DIR).isEmpty()) {
-				Log.setPrintInFile(TXMPreferences.getBoolean(TBXPreferences.LOG_IN_FILE, TBXPreferences.PREFERENCES_NODE), new File(getPreference(TBXPreferences.LOG_DIR)));
+				Log.setPrintInFile(TBXPreferences.getInstance().getBoolean(TBXPreferences.LOG_IN_FILE), new File(getPreference(TBXPreferences.LOG_DIR)));
 			}
 			else {
-				Log.setPrintInFile(TXMPreferences.getBoolean(TBXPreferences.LOG_IN_FILE, TBXPreferences.PREFERENCES_NODE));
+				Log.setPrintInFile(TBXPreferences.getInstance().getBoolean(TBXPreferences.LOG_IN_FILE));
 			}
 
 		} catch (Exception e) {
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1026)
@@ -162,53 +162,83 @@
 	 */
 	public static final String N_LINES_PER_PAGE = "n_lines_per_page"; //$NON-NLS-1$
 
+	/**
+	 * Preferences node qualifier of the instance. 
+	 */
+	protected String preferencesNode;
+	
+	/**
+	 * Instances map.
+	 */
+	protected static Map<Class<? extends TXMPreferences>, TXMPreferences> instances = new HashMap<>();
 
-	// FIXME: tests ********************************************************************************
+	
+
+	/**
+	 * 
+	 */
+	public TXMPreferences() {
+		super();
+		TXMPreferences.instances.put(this.getClass(), this);
+		this.preferencesNode = FrameworkUtil.getBundle(this.getClass()).getSymbolicName();
+		Log.info("TXMPreferences.TXMPreferences(): preferences node = " + this.preferencesNode);
+	}
+
+
+	/**
+	 * 
+	 * @param key
+	 * @return
+	 */
 	public double getDouble(String key)	{
 		return getDouble(key, this.preferencesNode);
 	}
 
+	/**
+	 * 
+	 * @param key
+	 * @return
+	 */
 	public boolean getBoolean(String key)	{
 		return getBoolean(key, this.preferencesNode);
 	}
 
+	/**
+	 * 
+	 * @param key
+	 * @return
+	 */
 	public int getInt(String key)	{
 		return getInt(key, this.preferencesNode);
 	}
 
+	/**
+	 * 
+	 * @param key
+	 * @return
+	 */
 	public long getLong(String key)	{
 		return getLong(key, this.preferencesNode);
 	}
 	
+	/**
+	 * 
+	 * @param key
+	 * @return
+	 */
 	public String getString(String key)	{
 		return getString(key, this.preferencesNode);
 	}
 
 	/**
+	 * Gets the preferences node qualifier of the instance.
 	 * @return the preferencesNode
 	 */
-	public String getPreferencesNode() {
+	public String getPreferencesNodeQualifier() {
 		return preferencesNode;
 	}
-	
-	public TXMPreferences() {
-		super();
-		TXMPreferences.instances.put(this.getClass(), this);
-		this.preferencesNode = FrameworkUtil.getBundle(this.getClass()).getSymbolicName();
-		Log.info("TXMPreferences.TXMPreferences(): preferences node = " + this.preferencesNode);
-	}
 
-//	public TXMPreferences() {
-//		this(null);
-//	}
-//
 	
-	protected String preferencesNode;
-	protected static Map<Class<? extends TXMPreferences>, TXMPreferences> instances = new HashMap<>();
-
-	// FIXME: tests end ********************************************************************************
-	
-	
 	/**
 	 * Stores a pairs of key / value in a local node dedicated to the specified result. The node qualifier is generated by the <code>Object.toString()</code> method.
 	 * 
@@ -1375,6 +1405,14 @@
 		}
 	}
 
+	/**
+	 * 
+	 * @param key
+	 * @param value
+	 */
+	public void put(String key, Object value) {
+		put(this.preferencesNode, key, value);
+	}
 
 
 	/**
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1026)
@@ -1,13 +1,12 @@
 package org.txm.core.preferences;
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
+import java.util.Locale;
+
 import org.osgi.service.prefs.Preferences;
+import org.txm.Toolbox;
 
 public class TBXPreferences extends TXMPreferences {
 	
-	public static String PREFERENCES_NODE = FrameworkUtil.getBundle(TBXPreferences.class).getSymbolicName();
-
 	public static String VERSION = "version";
 
 	public static final String FETCH_UPDATES_AT_STARTUP = "fetch_updates_at_startup";
@@ -66,14 +65,29 @@
 	 */
 	public static final String AUTO_PERSISTENCE_ENABLED = "auto_persistence_enabled"; //$NON-NLS-1$
 
+	
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(TBXPreferences.class)) {
+			new TBXPreferences();
+		}
+		return TXMPreferences.instances.get(TBXPreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
 
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 //		//FIXME: USE osgi.instance.area later & done in ApplicationWorkbenchAdvisor
 //		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
-//		
+		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
+		
 		preferences.putBoolean(TBXPreferences.EXPERT_USER, false); //$NON-NLS-1$
 		
 		// FIXME
@@ -82,8 +96,11 @@
 		preferences.putBoolean(TBXPreferences.LOG_IN_FILE, false); //$NON-NLS-1$
 		preferences.put(TBXPreferences.LOG_LEVEL, "SEVERE"); //$NON-NLS-1$
 		
+		preferences.put(TBXPreferences.IMPORT_DEFAULT_LANG,  Locale.getDefault().getLanguage());
 		preferences.put(TBXPreferences.UI_LOCALE, "fr"); //$NON-NLS-1$
 		
+		Locale.getDefault().getLanguage();
+		
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ","); //$NON-NLS-1$
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1026)
@@ -201,7 +201,7 @@
 
 		this.dirty = true;
 		this.persistable = false;
-		this.userPersistable = TXMPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE);
+		this.userPersistable = TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED);
 		
 
 		// retrieving parent from UUID
@@ -1693,7 +1693,7 @@
 	 * @return
 	 */
 	public boolean mustBePersisted()	{
-		if(this.persistable || TBXPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE) || this.userPersistable)	{
+		if(this.persistable || TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED) || this.userPersistable)	{
 			return true;
 		}
 		return false;
Index: tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java	(revision 1025)
+++ tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java	(revision 1026)
@@ -125,9 +125,9 @@
 	 */
 	public final boolean load() {
 		String id = this.selfElement.getAttribute(TXMPreferences.RESULT_UUID);
-		if (id != null && id.length() > 0) {
+//		if (id != null && id.length() > 0) {
 		//	this.uniqueID = id;
-		}
+	//	}
 		return _load();
 	}
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1025)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1026)
@@ -90,7 +90,7 @@
 			extensions[i] = "*." + SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(i); //$NON-NLS-1$
 
 			// Store the default chart export file format index
-			if(TXMPreferences.getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEnginePreferences.PREFERENCES_NODE).equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
+			if(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT).equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
 				defaultChartFormatIndex = i;
 			}
 		}
@@ -142,7 +142,7 @@
 							Log.info(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
-							if (TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
+							if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
 								this.syncExec(new Runnable() {
 									@Override
 									public void run() {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 1025)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 1026)
@@ -93,7 +93,7 @@
 			extensions[i] = "*." + chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(i); //$NON-NLS-1$
 
 			// Store the default chart export file format index
-			if(TXMPreferences.getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEnginePreferences.PREFERENCES_NODE).equals(chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(i)))	{
+			if(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT).equals(chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(i)))	{
 				defaultChartFormatIndex = i;
 			}
 		}
@@ -150,7 +150,7 @@
 							System.out.println(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
-							if(TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
+							if(TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
 								this.syncExec(new Runnable() {
 									@Override
 									public void run() {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1025)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1026)
@@ -120,7 +120,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(ChartsEnginePreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setDescription(SWTComponentsProviderMessages.ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart);
 	}
 
@@ -140,12 +140,12 @@
 				SWTChartsComponentsProvider.setCurrrentComponentsProvider((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getCurrentEngine());
 				
 				// Set the first charts engine supported export file format as default charts export file format
-				TXMPreferences.put(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
+				ChartsEnginePreferences.getInstance().put(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
 				
 				
 				// Set the new monochrome color for all charts engine theme
 				for(int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
-					ChartsEngine.getChartsEngines().get(i).getTheme().setMonochromeColor(TXMPreferences.getString(ChartsEnginePreferences.MONOCHROME_COLOR, ChartsEnginePreferences.PREFERENCES_NODE));
+					ChartsEngine.getChartsEngines().get(i).getTheme().setMonochromeColor(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.MONOCHROME_COLOR));
 				}
 				
 				// FIXME: doesn't work, works only when we quit the page and go back to it
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 1025)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 1026)
@@ -53,7 +53,7 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(ReferencerPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(ReferencerPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle(ReferencerUIMessages.ReferencerPreferencePage_2);
 	}
 	
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 1025)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/preferences/ConcordancePreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.concordance.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
@@ -15,33 +13,38 @@
  */
 public class ConcordancePreferences extends TXMPreferences {
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ConcordancePreferences.class).getSymbolicName();
-	
-	// FIXME: tests
-	//public static final String PREFERENCES_PREFIX = "concordance_"; //$NON-NLS-1$
-	public static final String PREFERENCES_PREFIX = ""; //$NON-NLS-1$
-	
-	public static final String N_LINES_PER_PAGE = PREFERENCES_PREFIX + "n_lines_per_page"; //$NON-NLS-1$
-	public static final String LEFT_CONTEXT_SIZE = PREFERENCES_PREFIX + "left_context_size"; //$NON-NLS-1$
-	public static final String RIGHT_CONTEXT_SIZE = PREFERENCES_PREFIX + "right_context_size"; //$NON-NLS-1$
+	public static final String N_LINES_PER_PAGE = "n_lines_per_page"; //$NON-NLS-1$
+	public static final String LEFT_CONTEXT_SIZE = "left_context_size"; //$NON-NLS-1$
+	public static final String RIGHT_CONTEXT_SIZE = "right_context_size"; //$NON-NLS-1$
 
-	public static final String LEFT_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "left_analysis_properties"; //$NON-NLS-1$
-	public static final String KEYWORD_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "keyword_analysis_properties"; //$NON-NLS-1$
-	public static final String RIGHT_ANALYSIS_PROPERTIES = PREFERENCES_PREFIX + "right_analysis_properties"; //$NON-NLS-1$
-	public static final String LEFT_VIEW_PROPERTIES = PREFERENCES_PREFIX + "left_view_properties"; //$NON-NLS-1$
-	public static final String KEYWORD_VIEW_PROPERTIES = PREFERENCES_PREFIX + "keyword_view_properties"; //$NON-NLS-1$
-	public static final String RIGHT_VIEW_PROPERTIES = PREFERENCES_PREFIX + "right_view_properties"; //$NON-NLS-1$
+	public static final String LEFT_ANALYSIS_PROPERTIES = "left_analysis_properties"; //$NON-NLS-1$
+	public static final String KEYWORD_ANALYSIS_PROPERTIES = "keyword_analysis_properties"; //$NON-NLS-1$
+	public static final String RIGHT_ANALYSIS_PROPERTIES = "right_analysis_properties"; //$NON-NLS-1$
+	public static final String LEFT_VIEW_PROPERTIES = "left_view_properties"; //$NON-NLS-1$
+	public static final String KEYWORD_VIEW_PROPERTIES = "keyword_view_properties"; //$NON-NLS-1$
+	public static final String RIGHT_VIEW_PROPERTIES = "right_view_properties"; //$NON-NLS-1$
 	/** The default value is "*" -> The concordance will use ref or text_id */
-	public static final String ANALYSIS_REFERENCE_PATTERN = PREFERENCES_PREFIX + "analysis_pattern"; //$NON-NLS-1$
+	public static final String ANALYSIS_REFERENCE_PATTERN = "analysis_pattern"; //$NON-NLS-1$
 	/** The default value is "*" -> The concordance will use ref or text_id */
-	public static final String VIEW_REFERENCE_PATTERN = PREFERENCES_PREFIX + "view_pattern"; //$NON-NLS-1$
+	public static final String VIEW_REFERENCE_PATTERN = "view_pattern"; //$NON-NLS-1$
 	public static final String LIMIT_CQL = "limit_cql"; //$NON-NLS-1$
 	public static final String TOP_INDEX = "top_index"; //$NON-NLS-1$
 	
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(ConcordancePreferences.class)) {
+			new ConcordancePreferences();
+		}
+		return TXMPreferences.instances.get(ConcordancePreferences.class);
+	}
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.putInt(N_LINES_PER_PAGE, 100);
 		preferences.putInt(TOP_INDEX, 0);
